commit 2b39278ad43df263482e2837061ac040e00c9604
Author: freddy77 <freddy77>
Date:   Mon Jul 5 07:20:47 2010 +0000

    move to/from sqlwchar to common code

diff --git a/ChangeLog b/ChangeLog
index 4929407..d1cfad5 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Mon Jul  5 09:20:20 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/blob1.c src/odbc/unittests/common.c:
+	* src/odbc/unittests/common.h:
+	- move to/from sqlwchar to common code
+
 Mon Jul  5 08:58:59 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c: fix possible problem using utf8 on Sybase
 
@@ -2590,4 +2595,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3058 2010/07/05 06:59:35 freddy77 Exp $
+$Id: ChangeLog,v 1.3059 2010/07/05 07:20:47 freddy77 Exp $
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index 2339bea..549943a 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -5,7 +5,7 @@
 #include <ctype.h>
 #include <assert.h>
 
-static char software_version[] = "$Id: blob1.c,v 1.20 2009/05/21 21:58:43 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.21 2010/07/05 07:20:47 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define NBYTES 10000
@@ -119,26 +119,6 @@ readBlob(test_info *t)
 		failed = 1;
 }
 
-static int
-to_sqlwchar(SQLWCHAR *dst, const char *src, int n)
-{
-	int i = n;
-	while (--i >= 0)
-		dst[i] = (unsigned char) src[i];
-	return n * sizeof(SQLWCHAR);
-}
-
-static int
-from_sqlwchar(char *dst, const SQLWCHAR *src, int n)
-{
-	int i;
-	for (i = 0; i < n; ++i) {
-		assert(src[i] < 256);
-		dst[i] = src[i];
-	}
-	return n;
-}
-
 static void
 readBlobAsChar(test_info *t, int step, int wide)
 {
@@ -178,7 +158,7 @@ readBlobAsChar(test_info *t, int step, int wide)
 
 		if (wide) {
 			len /= sizeof(SQLWCHAR);
-			from_sqlwchar((char *) buf, (SQLWCHAR *) buf, len + 1);
+			odbc_from_sqlwchar((char *) buf, (SQLWCHAR *) buf, len + 1);
 		}
 
 		check =	check_hex(buf, len, 2*t->gen1 + total, t->gen2);
@@ -324,7 +304,7 @@ main(int argc, char **argv)
 					fill_hex(p, NBYTES, t->gen1, t->gen2);
 					if (t->c_type == SQL_C_WCHAR) {
 						char_len = sizeof(SQLWCHAR);
-						to_sqlwchar((SQLWCHAR*) p, p, NBYTES * 2);
+						odbc_to_sqlwchar((SQLWCHAR*) p, p, NBYTES * 2);
 					}
 
 					CHKPutData(p, (NBYTES - (i&1)) * char_len, "S");
diff --git a/src/odbc/unittests/common.c b/src/odbc/unittests/common.c
index a2f7f70..433205c 100644
--- a/src/odbc/unittests/common.c
+++ b/src/odbc/unittests/common.c
@@ -4,6 +4,7 @@
 #include <unistd.h>
 #endif /* HAVE_UNISTD_H */
 
+#include <assert.h>
 #include <ctype.h>
 
 #ifndef _WIN32
@@ -12,7 +13,7 @@
 #define TDS_SDIR_SEPARATOR "\\"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.57 2010/03/02 15:07:00 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.58 2010/07/05 07:20:47 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 HENV Environment;
@@ -453,3 +454,23 @@ ReadError(void)
 	printf("Message: '%s' %s\n", odbc_sqlstate, odbc_err);
 }
 
+int
+odbc_to_sqlwchar(SQLWCHAR *dst, const char *src, int n)
+{
+	int i = n;
+	while (--i >= 0)
+		dst[i] = (unsigned char) src[i];
+	return n * sizeof(SQLWCHAR);
+}
+
+int
+odbc_from_sqlwchar(char *dst, const SQLWCHAR *src, int n)
+{
+	int i;
+	for (i = 0; i < n; ++i) {
+		assert(src[i] < 256);
+		dst[i] = src[i];
+	}
+	return n;
+}
+
diff --git a/src/odbc/unittests/common.h b/src/odbc/unittests/common.h
index 4b246f2..7de56da 100644
--- a/src/odbc/unittests/common.h
+++ b/src/odbc/unittests/common.h
@@ -21,7 +21,7 @@
 #include <sql.h>
 #include <sqlext.h>
 
-static char rcsid_common_h[] = "$Id: common.h,v 1.32 2010/03/02 15:41:37 freddy77 Exp $";
+static char rcsid_common_h[] = "$Id: common.h,v 1.33 2010/07/05 07:20:47 freddy77 Exp $";
 static void *no_unused_common_h_warn[] = { rcsid_common_h, no_unused_common_h_warn };
 
 #ifndef HAVE_SQLLEN
@@ -171,3 +171,7 @@ void odbc_setenv(const char *name, const char *value, int overwrite);
 
 #define setenv odbc_setenv
 #endif
+
+int odbc_to_sqlwchar(SQLWCHAR *dst, const char *src, int n);
+int odbc_from_sqlwchar(char *dst, const SQLWCHAR *src, int n);
+

